# DMRG_AH_Szi
Julia code to compute magnetizations, Sz(i), of alternating Heisenberg (AH) spin chains by density matrix renormalization group (DMRG).
This code uses the open-source ITensor package (https://itensor.org/) for the DMRG routines.

# Code usage
Run
$ julia DMRG_AH_Szi.jl <Sz>
with Sz=+1 or Sz=-1 to compute the results shown in Fig. 2g.
The code will consider an AH chain with 100 spin-1/2 sites, with alternating couplings 23 and 38 (physical parameters).
It will run DMRG sweeps to find the lowest energy state with total Sz as provided in the input.
The DMRG routine stops when energy, S^2 and Sz(i) are converged up to 1E-6, 1E-5 and 1E-5, respectively, increasing the maximum bond dimension at every sweep and fixing a cutoff of 1E-8 for the truncations associated to the DMRG algorithm.